Bug 135408 - unescaped RPM macro places excessive garbage text into changelog
Summary: unescaped RPM macro places excessive garbage text into changelog
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: ncurses   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Eido Inoue
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-12 15:41 UTC by Moritz Barsnick
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-21 19:56:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Moritz Barsnick 2004-10-12 15:41:31 UTC
Description of problem:
In the SPEC file, there is an unescaped RPM macro, namely %configure. 
This is unfortunately expanded in the changelog (rpm -qp --changelog 
$file.rpm), and is a bit annoying.

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. tail +`fgrep -n %changelog ncurses.spec | cut -d: -f1`  ncurses.
spec | fgrep %configure
  
Actual results:
- Use %configure (Bug #8484)

Expected results:
- Use %%configure (Bug #8484)

Additional info:


Note You need to log in before you can comment on or make changes to this bug.